Subject: bug#14525: ls -k produced no size, ls -lk lists in bytes? What's up w/k?

From: Linda Walsh <[email-masked]>
Date: Fri, 31 May 2013 18:02:00 -0700

in Coreutils 8.21.1.1 (x86_64) on snoozy
When I type in ls -k, I get a small listing (filenames only horizontally)
(and no sizes).
When I type in ls -lk, I get a long listing -- but it isn't using K, but
bytes.

:-(.

Why k no worky?

I'd think:
1) ls -k should display the file size in k as ls -s display blocks.
2) ls -sk would display allocated size in k (which it may do?)
and
3)ls -l would display sizes in k.

Am I missing something about why 'k' doesn't work in 1 & 3?

Actually ls -s acts like ls -sk -- doesn't display blocks but -k-

Isn't a block 512B?